## ognibuild 0.0.18+git20230208.1.9b890a2

=== Makefile ===
check:: style

style:
	flake8

check:: testsuite

testsuite:
	python3 -m unittest tests.test_suite

check:: typing

typing:
	mypy ognibuild tests

coverage:
	python3 -m coverage run -m unittest tests.test_suite

coverage-html:
	python3 -m coverage html

## ognibuild 0.0.1~git20201031.4cbc8df

=== debian/changelog ===
ognibuild (0.0.1~git20201031.4cbc8df-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 13:00:56 +0200

ognibuild (0.0.1~git20201031.4cbc8df-1) unstable; urgency=low

  * Initial release. Closes: #981913

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 03:00:40 +0000

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12), dh-sequence-python3, python3-all, python3-setuptools
Source: ognibuild
Priority: optional
Section: devel
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/jelmer/ognibuild.git
Vcs-Browser: https://salsa.debian.org/jelmer/ognibuild
Homepage: https://github.com/jelmer/ognibuild

Package: ognibuild
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Detect and run any build system
 Ognibuild is a simple wrapper with a common interface for invoking any kind of
 build tool.
 .
 The ideas is that it can be run to build and install any source code directory
 by detecting the build system that is in use and invoking that with the correct
 parameters.
 .
 It can also detect and install missing dependencies.

=== debian/tests/control ===
Test-Command: python3 -m unittest ognibuild.tests.test_suite
Depends: @, python3
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/ognibuild/ognibuild-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ognibuild 0.0.4

=== debian/changelog ===
ognibuild (0.0.4-1) unstable; urgency=low
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 07 Apr 2021 00:11:09 +0100

ognibuild (0.0.3-1) unstable; urgency=medium

  * Add missing dependency on python3-lz4.
  * Set upstream metadata fields: Security-Contact.
  * Add upstream signing keys.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Mar 2021 17:49:29 +0000

ognibuild (0.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Mar 2021 18:25:45 +0000

ognibuild (0.0.1~git20210228.bc79314-1) unstable; urgency=medium

  * New upstream snapshot.
  * Add dependency on buildlog-consultant.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 28 Feb 2021 14:55:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,17 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 12), dh-sequence-python3, python3-all, python3-setuptools
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-python3,
+               python3-all,
+               python3-apt,
+               python3-breezy,
+               python3-breezy.tests,
+               python3-buildlog-consultant (>= 0.0.4),
+               python3-requirement-parser,
+               python3-debmutate,
+               python3-lz4,
+               python3-setuptools,
+               brz-debian
 Source: ognibuild
 Priority: optional
 Section: devel
@@ -11,7 +22,15 @@
 
 Package: ognibuild
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-apt,
+         python3-breezy,
+         python3-buildlog-consultant (>= 0.0.4),
+         python3-lz4,
+         python3-requirement-parser,
+         python3-toml,
+         ${misc:Depends},
+         ${python3:Depends},
+Recommends: brz-debian, python3-debmutate
 Description: Detect and run any build system
  Ognibuild is a simple wrapper with a common interface for invoking any kind of
  build tool.

## ognibuild 0.0.10

=== debian/changelog ===
ognibuild (0.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 15:58:53 +0000

ognibuild (0.0.9-1) unstable; urgency=low

  * New upstream release.
   + Improve maven requirements output. Closes: #989542
   + Print upstream commands run. Closes: #989454

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 Jun 2021 14:40:08 +0100

ognibuild (0.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 11 Jun 2021 20:21:58 +0100

ognibuild (0.0.6+git20210517.1.8189e91-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 18 May 2021 20:53:15 +0100

ognibuild (0.0.5-1) unstable; urgency=low

  * New upstream release.
   + Fixes cmake support. Closes: #988572
   + Preserve environment when building Python packages. Closes: #988571

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 18 May 2021 01:34:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                python3-debmutate,
                python3-lz4,
                python3-setuptools,
-               brz-debian
+               brz-debian,
+               python3-dulwich (>= 0.19.12)
 Source: ognibuild
 Priority: optional
 Section: devel

=== debian/tests/control ===
Test-Command: python3 -m unittest ognibuild.tests.test_suite
Depends: python3,
         @,
         lintian-brush, brz-debian, python3-breezy.tests
Restrictions: allow-stderr

## ognibuild 0.0.13

=== debian/changelog ===
ognibuild (0.0.13-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 Apr 2022 19:55:46 +0100

ognibuild (0.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Mar 2022 18:06:58 +0100

ognibuild (0.0.11-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Feb 2022 00:54:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-apt,
                python3-breezy,
                python3-breezy.tests,
-               python3-buildlog-consultant (>= 0.0.4),
+               python3-buildlog-consultant (>= 0.0.21),
                python3-requirement-parser,
                python3-debmutate,
                python3-lz4,
@@ -25,7 +25,7 @@
 Architecture: all
 Depends: python3-apt,
          python3-breezy,
-         python3-buildlog-consultant (>= 0.0.4),
+         python3-buildlog-consultant (>= 0.0.21),
          python3-lz4,
          python3-requirement-parser,
          python3-toml,

## ognibuild 0.0.18+git20230208.1.9b890a2

=== debian/changelog ===
ognibuild (0.0.18+git20230208.1.9b890a2-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes flaky tee test. Closes: #1030879

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Feb 2023 13:23:14 +0000

ognibuild (0.0.18-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Feb 2023 02:12:19 +0000

ognibuild (0.0.16-2) unstable; urgency=medium

  * Add missing recommends on python3-build.
  * Update standards version to 4.6.2, no changes needed.
  * Fix autopkgtest running tests. Closes: #1027397

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 04 Jan 2023 19:58:27 +0000

ognibuild (0.0.16-1) unstable; urgency=low

  [ Jelmer Vernooĳ ]
  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 16 Dec 2022 11:59:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-apt,
                python3-breezy,
                python3-breezy.tests,
-               python3-buildlog-consultant (>= 0.0.21),
+	       python3-build,
+               python3-buildlog-consultant (>= 0.0.4),
                python3-requirement-parser,
                python3-debmutate,
                python3-lz4,
@@ -25,13 +26,13 @@
 Architecture: all
 Depends: python3-apt,
          python3-breezy,
-         python3-buildlog-consultant (>= 0.0.21),
+         python3-buildlog-consultant (>= 0.0.4),
          python3-lz4,
          python3-requirement-parser,
          python3-toml,
          ${misc:Depends},
          ${python3:Depends},
-Recommends: brz-debian, python3-debmutate
+Recommends: brz-debian, python3-debmutate, python3-build
 Description: Detect and run any build system
  Ognibuild is a simple wrapper with a common interface for invoking any kind of
  build tool.

=== debian/tests/control ===
Test-Command: python3 -m unittest tests.test_suite
Depends: python3,
         @,
         lintian-brush, brz-debian, python3-breezy.tests
Restrictions: allow-stderr

## ognibuild 0.0.20

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 check:: style
 
 style:
-	flake8
+	ruff check .
 
 check:: testsuite
 
-testsuite:
+build-inplace:
+	python3 setup.py build_rust --inplace
+
+testsuite: build-inplace
 	python3 -m unittest tests.test_suite
 
 check:: typing

=== debian/changelog ===
ognibuild (0.0.20-1) unstable; urgency=low

  * New upstream release.
  * Disable tests. Closes: #1071804

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 07 Jun 2024 14:43:54 +0100

ognibuild (0.0.18+git20230208.1.9b890a2-2) UNRELEASED; urgency=medium

  * Fix build source after successful build. Closes: #1047139

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 06 Sep 2023 20:18:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,23 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               librust-clap-dev,
+               librust-pyo3-dev,
+               librust-axum-dev,
+               librust-breezyshim-dev,
+               librust-rustversion-dev,
+               librust-stackdriver-logger-dev,
                python3-all,
                python3-apt,
                python3-breezy,
                python3-breezy.tests,
-	       python3-build,
-               python3-buildlog-consultant (>= 0.0.4),
+               python3-buildlog-consultant (>= 0.0.21),
+               python3-build,
                python3-requirement-parser,
                python3-debmutate,
                python3-lz4,
                python3-setuptools,
+               python3-setuptools-rust,
                brz-debian,
                python3-dulwich (>= 0.19.12)
 Source: ognibuild
@@ -23,15 +30,16 @@
 Homepage: https://github.com/jelmer/ognibuild
 
 Package: ognibuild
-Architecture: all
+Architecture: any
 Depends: python3-apt,
          python3-breezy,
-         python3-buildlog-consultant (>= 0.0.4),
+         python3-buildlog-consultant (>= 0.0.21),
          python3-lz4,
          python3-requirement-parser,
          python3-toml,
          ${misc:Depends},
          ${python3:Depends},
+         ${shlibs:Depends}
 Recommends: brz-debian, python3-debmutate, python3-build
 Description: Detect and run any build system
  Ognibuild is a simple wrapper with a common interface for invoking any kind of

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	if test -f Cargo.lock.saved; then mv Cargo.lock.saved Cargo.lock; fi
	dh_auto_clean

override_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	dh_auto_build

override_dh_auto_test:
	@echo "Disabling tests"
